EcommerceUpdate an order

Update an order

POST /contacts/{contact_id}/order/{order_id}

curl -X POST "https://app.bualpro.com/api/contacts/123/order/example_string" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "status": 7
}'
{
  "success": true
}
POST
/contacts/{contact_id}/order/{order_id}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
statusinteger

The new order status. 6 - Processing, 7 - Shipped, 10 - Completed, 13 - Canceled.

Options: 6, 7, 10, 13
namestring

The name for the shipping

phonestring

The phone for the shipping

emailstring

The email for the shipping

countrystring

The country for the shipping

statestring

The state for the shipping

citystring

The city for the shipping

zip_codestring

The zip code for the shipping

addressstring

The address for the shipping

street_1string

The street_1 for the shipping

street_2string

The street_2 for the shipping

notestring

Note related to the order.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
statusinteger

The new order status. 6 - Processing, 7 - Shipped, 10 - Completed, 13 - Canceled.

Allowed values:671013
namestring

The name for the shipping

Example:
Johan Ahmad
phonestring

The phone for the shipping

Example:
+60123456789
emailstring

The email for the shipping

countrystring

The country for the shipping

statestring

The state for the shipping

citystring

The city for the shipping

zip_codestring

The zip code for the shipping

addressstring

The address for the shipping

street_1string

The street_1 for the shipping

street_2string

The street_2 for the shipping

notestring

Note related to the order.

Responses

successboolean

Change order status.